%global version_major 2
%global apiversion %{version_major}
%global gittag %{name}%{version_major}_%{version}
%global ruby_path %(echo %{ruby_vendorlibdir} | sed -e 's|/usr/||g')

Name:           gz-plugin
Version:        2.0.2
Release:        2%{?dist}
Summary:        Plugin utilities for robotic applications

License:        Apache-2.0
URL:            https://gazebosim.org
Source0:        https://github.com/gazebosim/%{name}/archive/%{gittag}/%{name}-%{version}.tar.gz 
Patch0:         %{name}-2.0.2-rubyinstall.patch

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  gz-cmake-devel >= 3
BuildRequires:  gz-tools-devel >= 2
BuildRequires:  gz-utils-devel >= 2
BuildRequires:  make
BuildRequires:  ruby-devel
# Documentation
BuildRequires:  doxygen


%description
Gazebo Plugin is a component in the Gazebo framework, a set of libraries
designed to rapidly develop robot applications. It is used to register plugin
libraries and load them dynamically at runtime.

%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: gz-cmake-devel >= 3

%description devel
%{summary}

%prep
%autosetup -n %{name}-%{gittag} -Sgendiff -p1


%build
%cmake \
  -DCMAKE_BUILD_TYPE:STRING=Release \
  -DUSE_HOST_SSE_FLAGS:BOOL=OFF \
  -DRUBY_LIB_INSTALL_DIR:STRING=%{ruby_path}
%cmake_build


%install
%cmake_install

%check
%ctest 

%files
%license LICENSE
%{_datadir}/gz
%{_libdir}/*.so.%{version}
%{_libdir}/*.so.%{apiversion}
%{_libexecdir}/gz
%{ruby_vendorlibdir}/gz

%files devel
%doc redhat-linux-build/doxygen/html
%{_libdir}/*.so
%{_libdir}/cmake/%{name}%{version_major}*
%{_libdir}/pkgconfig/%{name}*.pc
%{_includedir}/gz


%changelog
* Fri Apr 05 2024 Rich Mattes <richmattes@gmail.com> - 2.0.2-2
- Fix ruby tool path

* Wed Apr 03 2024 Rich Mattes <richmattes@gmail.com> - 2.0.2-1
- Initial package
